> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getflick.co/llms.txt
> Use this file to discover all available pages before exploring further.

# verifyOtp 

> Otp verification



## OpenAPI

````yaml /openapi/collections.json post /collection/verify-otp
openapi: 3.0.2
info:
  title: Flick Collections API
  description: This is a sample API Document for Flick services
  termsOfService: http://getflick.app/terms-conditions
  contact:
    email: kingsley@getflick.app
  license:
    name: FLICK
    url: http://www.getflick.app
  version: 1.0.17
servers:
  - url: https://flickopenapi.co
    description: For linking your banks to Flick
security:
  - bearerAuth: []
tags:
  - name: Virtual Account/IBANs
    description: iban Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Card
    description: Card Charging
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
  - name: Direct-debit
    description: Debit
    externalDocs:
      description: Find out more
      url: http://www.getflick.app
externalDocs:
  description: Find out more about Flick
  url: https://www.linkedin.com/company/getflick/
paths:
  /collection/verify-otp:
    post:
      tags:
        - Card
      summary: 'verifyOtp '
      description: Otp verification
      operationId: Varifing otp
      requestBody:
        description: Checking for Card Otp
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Otp'
        required: true
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OtpResponse'
        '400':
          description: Wrong Input
        '403':
          description: Unauthroized Access
        '405':
          description: Invalid input
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    Otp:
      required:
        - otp
        - transactionId
      type: object
      properties:
        otp:
          type: string
          example: '998467'
        transactionId:
          type: string
          example: Flick-4a28be60-9087-12ed-adc2-a3518754591f-aab
    OtpResponse:
      type: object
      properties:
        status:
          type: integer
          example: 200
        data:
          type: object
          properties:
            message:
              type: string
              example: Success
            redirecturl:
              type: string
              example: '?trxref=............'
            reference:
              type: string
              example: Flick-4a60-9087-12ed-adc2-a3514a54591f-aaa
            response:
              type: string
              example: Approved
            status:
              type: string
              example: success
            trans:
              type: string
              example: '3137876558'
            trxref:
              type: string
              example: Flick-4a2860-9087-12ed-adc2-a3514a54591f-aaa
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Your live or test secret key, prefixed `sk-`. Send as `Authorization:
        Bearer sk-...`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.